Event.SchemaChange.Change (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.transport

## Enum Event.SchemaChange.Change

- java.lang.Object
- - java.lang.Enum<Event.SchemaChange.Change>
  - - org.apache.cassandra.transport.Event.SchemaChange.Change

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Event.SchemaChange.Change>
  Enclosing class:
    Event.SchemaChange

      public static enum Event.SchemaChange.Change
      extends java.lang.Enum<Event.SchemaChange.Change>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CREATED`
    `DROPPED`
    `UPDATED`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Event.SchemaChange.Change` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Event.SchemaChange.Change[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CREATED

          public static final Event.SchemaChange.Change CREATED

    - #### UPDATED

          public static final Event.SchemaChange.Change UPDATED

    - #### DROPPED

          public static final Event.SchemaChange.Change DROPPED

  - ### Method Detail

    - #### values

          public static Event.SchemaChange.Change[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Event.SchemaChange.Change c : Event.SchemaChange.Change.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Event.SchemaChange.Change valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 The Apache Software Foundation